package uy.edu.fing.tse.jsf;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import uy.edu.fing.tse.central.business.BusinessLocal;
import uy.edu.fing.tse.central.business.common.Notifier;
import uy.edu.fing.tse.dto.Fact;
import uy.edu.fing.tse.dto.Peripherical;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.enterprise.context.RequestScoped;
import javax.faces.bean.ManagedBean;
import javax.faces.event.AbortProcessingException;
import javax.faces.event.AjaxBehaviorEvent;
import javax.faces.push.Push;
import javax.faces.push.PushContext;
import javax.inject.Inject;
import javax.inject.Named;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import java.io.Serializable;

@RequestScoped
@Named("gestionHechos")


public class GestionhechosBean implements Serializable {

    private static final long serialVersionUID = -7674319505640122631L;

    private String username;
    private String password;
    private String repassword;


    private HechosService service;

    public void init() {
        filteredFacts = service.createHechos(10);

    }


    private List<Fact> filteredFacts;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getRepassword() {
        return repassword;
    }

    public void setRepassword(String repassword) {
        this.repassword = repassword;
    }


    public void login() {
        //aca va el login
    }

    public void register() {
        //aca va el register
    }


    public List<Fact> getFilteredNFact() {
        return filteredFacts;
    }
    public void setFilteredNoticias(List<Fact> filteredNoticias) {
        this.filteredFacts = filteredNoticias;
    }

}

